Skip to content

Test Connection

POST
/api/v1/container_registry/registries/ping/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/ping/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"registry_type": "docker-hub",
"registry_name": "source-registry",
"registry_description": "docker hub source registry",
"registry_url": "https://hub.docker.com",
"registry_insecure": true,
"access_key": "<token_name>",
"access_secret": "<token_value>"
}'
cr_project_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
registry_type
string

Example

docker-hub
registry_name
string

Example

source-registry
registry_description
string

Example

docker hub source registry
registry_url
string

Example

https://hub.docker.com
registry_insecure
boolean

Example

true
access_key
string

Example

<token_name>
access_secret
string

Example

<token_value>

Connection test completed successfully.

Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Connection Testing Successfull"
}